|  | Home | Documentation | wsdd__HelloType Struct Reference updated Wed Mar 1 2017 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
wsdd__HelloType Struct Reference

"http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":HelloType is a complexType. More...

`#include <wsdd.h>`

Collaboration diagram for wsdd__HelloType:
[legend]

## Public Attributes
_wsa5__EndpointReference | wsa5__EndpointReference
| Imported element reference "http://www.w3.org/2005/08/addressing":EndpointReference. More...
wsdd__QNameListType | Types
| Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":Types. More...
struct wsdd__ScopesType * | Scopes
| Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":Scopes. More...
wsdd__UriListType | XAddrs
| Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":XAddrs. More...
unsigned int | MetadataVersion
| Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":MetadataVersion. More...

## Detailed Description

"http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":HelloType is a complexType.

## Member Data Documentation

unsigned int wsdd__HelloType::MetadataVersion

Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":MetadataVersion.

Required element.

struct wsdd__ScopesType* wsdd__HelloType::Scopes

Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":Scopes.

Optional element.

wsdd__QNameListType wsdd__HelloType::Types

Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":Types.

Optional element.

_wsa5__EndpointReference wsdd__HelloType::wsa5__EndpointReference

Imported element reference "http://www.w3.org/2005/08/addressing":EndpointReference.

Required element.

wsdd__UriListType wsdd__HelloType::XAddrs

Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":XAddrs.

Optional element.

The documentation for this struct was generated from the following file:

- wsdd.h